Bug 522960 - Primary laptop display appears to be covered with a grid of white lines.
Summary: Primary laptop display appears to be covered with a grid of white lines.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 12
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_NV92
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-12 17:57 UTC by David
Modified: 2018-04-11 07:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:25:34 UTC


Attachments (Terms of Use)
Smolt Profile (8.65 KB, text/plain)
2009-09-12 17:57 UTC, David
no flags Details
Xorg log (39.83 KB, text/plain)
2009-09-12 17:57 UTC, David
no flags Details
dmesg (52.07 KB, text/plain)
2009-09-12 17:58 UTC, David
no flags Details
Screenshot (573.97 KB, image/png)
2009-09-12 17:59 UTC, David
no flags Details
Photo showing broken output (962.68 KB, image/jpeg)
2009-09-12 18:00 UTC, David
no flags Details
Requested dmesg output with drm.debug=15 boot option (122.49 KB, text/plain)
2009-09-14 22:10 UTC, David
no flags Details
video bios (64.00 KB, application/octet-stream)
2009-12-01 13:12 UTC, David
no flags Details

Description David 2009-09-12 17:57:17 UTC
Created attachment 360803 [details]
Smolt Profile

Description of problem:

When running the Fedora 12 test day image for Nouveau testing, the builtin display on my laptop looks as if it was overlaid with a grid of white lines.  attaching a secondary monitor does not display this problem.  I took a screenshot and it does not show the lines either, just when i am looking at the screen are they apparant.



output of Xorg -version

This is a pre-release version of the X server from The X.Org Foundation.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.

X.Org X Server 1.6.99.900 (1.7.0 RC 0)
Release Date: (unreleased)
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-164.el5 x86_64 
Current Operating System: Linux localhost.localdomain 2.6.31-0.219.rc9.git2.fc12.x86_64 #1 SMP Wed Sep 9 05:55:59 EDT 2009 x86_64
Kernel command line: initrd=initrd0.img root=live:LABEL=FEDORA rootfstype=auto ro liveimg quiet  rhgb  BOOT_IMAGE=vmlinuz0 
Build Date: 07 September 2009  02:00:06AM
Build ID: xorg-x11-server 1.6.99.900-1.fc12 
Current version of pixman: 0.16.0
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.




xorg-x11-drv-nouveau info:

Installed Packages
Name       : xorg-x11-drv-nouveau
Arch       : x86_64
Epoch      : 1
Version    : 0.0.15
Release    : 8.20090904git2b5ec6a.fc12
Size       : 346 k
Repo       : installed
From repo  : rawhide-hourly
Summary    : Xorg X11 nouveau video driver for NVIDIA graphics chipsets
URL        : http://www.x.org
License    : MIT
Description: X.Org X11 nouveau video driver.




How reproducible: always


Steps to Reproduce:
1. boot fedora test day 2009-09-10 image (nouveau test day)
2. Grub displays fine
3. Starting with Plymouth the output on the primary display is messed up, secondary monitors appear fine.

Additional info:
See attached files.

Comment 1 David 2009-09-12 17:57:49 UTC
Created attachment 360804 [details]
Xorg log

Comment 2 David 2009-09-12 17:58:14 UTC
Created attachment 360805 [details]
dmesg

Comment 3 David 2009-09-12 17:59:29 UTC
Created attachment 360806 [details]
Screenshot

Comment 4 David 2009-09-12 18:00:02 UTC
Created attachment 360807 [details]
Photo showing broken output

Comment 5 Ben Skeggs 2009-09-13 22:41:56 UTC
Can you boot with "3 drm.debug=15" added to your boot options, and save the output of the "dmesg" command to upload here.  Thanks!

Comment 6 David 2009-09-14 22:10:01 UTC
I added "3 drm.debug=15" to my boot options, but got a drm.debug boot option not found error... attached is the output from dmesg.  Please let me know if i need to do something differently.

Comment 7 David 2009-09-14 22:10:49 UTC
Created attachment 361010 [details]
Requested dmesg output with drm.debug=15 boot option

Comment 8 Matěj Cepl 2009-11-05 17:16:23 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 9 David 2009-11-10 04:51:24 UTC
I downloaded rc4 image of the daily live iso (x86_64) today (2009-11-09) and experienced the exact same issue.  Please let me know if there is any further testing i can do to provide you with better information.

Comment 10 Bug Zapper 2009-11-16 12:19:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 David 2009-11-30 02:13:35 UTC
This bug is still plagueing me - I am not sure if this is a nouveau bug or not.  Is there anything that i can do to figure out the source of this?

Comment 12 Ben Skeggs 2009-11-30 03:48:37 UTC
It's almost certainly a nouveau bug.  Do you see the issue if you boot with "nomodeset" in your boot options?

If nomodeset works, are you able to boot with (try each, until one works, if any!):
 - nouveau.uscript_lvds=0x0200
 - nouveau.uscript_lvds=0x0300

Thanks!

Comment 13 David 2009-11-30 17:21:40 UTC
Booting with "nomodeset" works and removes the white lines from the display.

I tried "nouveau.uscript_lvds=0x0200" but the screen remained blank during the boot process and i had to manually power down.

I was also able to boot successfully (no white lines on display) using the "nouveau.uscript_lvds=0x0300" boot option.  For now i am going to leave this option enabled.  What is this doing, am I missing out on any functionality by using this boot option?

Thanks for the help, it is nice to have a usable display again!

Comment 14 Ben Skeggs 2009-11-30 23:17:13 UTC
Thanks for testing that.  It's fine to leave the option enabled, once I discover what exactly's required nouveau will select it itself.

There's a table of scripts in the VBIOS that need to be executed for different output types, there's currently a few holes in our decision making when selecting *which* to run.  The option simply overrides nouveau's default choice.

Comment 15 Ben Skeggs 2009-12-01 04:15:40 UTC
Are you able to send me a VBIOS image too please?  It'll help with tracking down exactly what's needed to do this automatically.  Instructions for dumping the VBIOS are at: http://nouveau.freedesktop.org/wiki/DumpingVideoBios

Thanks!

Comment 16 David 2009-12-01 13:12:26 UTC
Created attachment 375050 [details]
video bios

i couldn't get vbtracetool to compile (probably becuase i am on x86_64), so i used the following command to get the vbios.rom file:
dd if=/dev/mem of=vbios.rom bs=1k skip=768 count=64

Comment 17 Ben Skeggs 2009-12-02 01:51:23 UTC
Thanks for that!

kernel-2.6.31.6-158.fc12 (http://koji.fedoraproject.org/koji/buildinfo?buildID=143969) will hopefully fix the issue, and not require special options to be set.

Comment 18 David 2009-12-03 03:48:13 UTC
I downloaded and tested kernel-2.6.31.6-158.fc12.x86_64, making sure to remove the nouveau.uscript_lvds boot option after installing the kernel.

Success!

Thanks for your help.  incidentally, i cannot enable desktop effects yet (still claims no 3d support), is this as expected for the driver in its current state?

Comment 19 Ben Skeggs 2009-12-03 04:55:06 UTC
Great :)  I'll leave this bug open until there's a kernel available in updates that fixes it.

Yes, 3D is not currently supported unfortunately.  If you're really keen on enabling desktop effects, you'll need to build and install the nouveau 3D driver yourself.  For your chipset, it'll work well enough for the needs of compiz, but milage with everything else will vary.  There should be instructions at http://nouveau.freedesktop.org to do this if you wish :)

Comment 20 Bug Zapper 2010-11-04 10:04:09 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 21 Bug Zapper 2010-12-05 06:25:34 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.